'use strict';

var React = require('react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var Dfp = React__default["default"].lazy(function () {
  return Promise.resolve().then(function () { return require('./Dfp-c313a700.js'); });
});

var AD = function AD(props) {
  if (typeof window === 'undefined') {
    return null;
  }
  return React__default["default"].createElement(
    'div',
    null,
    React__default["default"].createElement(
      React.Suspense,
      { fallback: React__default["default"].createElement(
          'div',
          null,
          'Loading...'
        ) },
      React__default["default"].createElement(Dfp, props)
    )
  );
};

module.exports = AD;
